curl --request PUT \
--url https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/kubeconfig \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-yaml' \
--data '"<string>"'curl --request PUT \
--url https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/kubeconfig \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-yaml' \
--data '"<string>"'Documentation Index
Fetch the complete documentation index at: https://qovery-feat-new-navigation.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Organization ID
Cluster ID
The body is of type string.
edit kubeconfig of the cluster
Was this page helpful?